summaryrefslogtreecommitdiffstats
path: root/libraries/libexif-gtk/libexif-gtk.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libexif-gtk/libexif-gtk.SlackBuild')
-rw-r--r--libraries/libexif-gtk/libexif-gtk.SlackBuild46
1 files changed, 24 insertions, 22 deletions
diff --git a/libraries/libexif-gtk/libexif-gtk.SlackBuild b/libraries/libexif-gtk/libexif-gtk.SlackBuild
index 56aa58eaec..fa8b72afdd 100644
--- a/libraries/libexif-gtk/libexif-gtk.SlackBuild
+++ b/libraries/libexif-gtk/libexif-gtk.SlackBuild
@@ -1,30 +1,33 @@
#!/bin/sh
-#
+
# Slackware Build Script for libexif-gtk
+
# (C) 2007 Michael Wagner <lapinours@web.de>
-#
-# This program is free software; you can redistribute it and/or modify it
-# under the terms of the GNU General Public License as published by the
-# Free Software Foundation; either version 2 of the License, or (at your
-# option) any later version.
+# All rights reserved.
#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-# Public License for more details.
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
#
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
#
-
-# Modified by the SlackBuild Project
-
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
PRGNAM=libexif-gtk
VERSION=0.3.5
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -47,17 +50,16 @@ cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Patch to re-enable depreciated calls in gtk+ (only needed for 2.12.x)
+# See gentoo bug #194680
+# patch -p1 -i $CWD/gtk+-2.12.x-enable-deprecated.patch || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var/lib \
--disable-static \
- --disable-rpath \
--program-prefix="" \
- $ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -66,7 +68,7 @@ make install-strip DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chmod 644 $PKG/usr/doc/$PRGNAM-$PVERSION/*
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc